Bug 137385

Summary: Netscape plugin API symbol used outside feature guards
Product: WebKit Reporter: Philip Chimento <philip.chimento>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cgarcia, commit-queue, pnormand
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Mac (Intel)   
OS: OS X 10.9   
Attachments:
Description Flags
Patch
none
Patch none

Description Philip Chimento 2014-10-03 01:02:31 PDT
When building with the netscape plugin API turned off, I get an undefined symbol m_NPP_Shutdown(). The attached patch surrounds it by feature guards.
Comment 1 Philip Chimento 2014-10-03 01:02:56 PDT
Created attachment 239189 [details]
Patch
Comment 2 Philip Chimento 2014-10-06 22:05:26 PDT
Created attachment 239385 [details]
Patch
Comment 3 Philip Chimento 2014-10-06 22:16:01 PDT
Attached an updated patch with ChangeLog.
Comment 4 Philip Chimento 2014-10-06 22:21:17 PDT
PS. I'd appreciate it if this could also be committed to the webkitgtk 2.4 branch.
Comment 5 Philippe Normand 2014-10-08 09:59:22 PDT
Once the patch landed please add it to the list: http://trac.webkit.org/wiki/WebKitGTK/2.4.x
Comment 6 WebKit Commit Bot 2014-10-09 00:34:48 PDT
Comment on attachment 239385 [details]
Patch

Clearing flags on attachment: 239385

Committed r174502: <http://trac.webkit.org/changeset/174502>
Comment 7 WebKit Commit Bot 2014-10-09 00:34:51 PDT
All reviewed patches have been landed.  Closing bug.